Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.mapping.results
Class TypeConversionError

    java.lang.Object
      org.springframework.binding.mapping.results.AbstractMappingResult
          org.springframework.binding.mapping.results.TypeConversionError

All Implemented Interfaces:
  MappingResult

    public class TypeConversionError

extends AbstractMappingResult

Indicates a type conversion occurred during a mapping operation.

Author:
  Keith Donald, Scott Andrews

Constructor Summary
`TypeConversionError(Mapping mapping, java.lang.Object originalValue, java.lang.Exception cause)` Creates a new type conversion error.

Method Summary
`java.lang.String` | `getCode()` The mapping result code; for example, "success" , "typeMismatch", "propertyNotFound", or "evaluationException".
`java.lang.Throwable` | `getErrorCause()` Get the cause of the error result
`java.lang.Object` | `getMappedValue()` The actual value that was mapped to the target object.
`java.lang.Object` | `getOriginalValue()` The original value of the source object that was to be mapped.
`boolean` | `isError()` Indicates if this result is an error result.

Methods inherited from class org.springframework.binding.mapping.results.AbstractMappingResult
`getMapping, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeConversionError

    public TypeConversionError(Mapping mapping,
                               java.lang.Object originalValue,
                               java.lang.Exception cause)

  Creates a new type conversion error.

  Parameters:
    `cause` - the underlying type conversion exception

Method Detail

### getCode

    public java.lang.String getCode()

  Description copied from interface: `MappingResult`
  The mapping result code; for example, "success" , "typeMismatch", "propertyNotFound", or "evaluationException".

  Specified by:
    `getCode` in interface `MappingResult`
  Specified by:
    `getCode` in class `AbstractMappingResult`

### isError

    public boolean isError()

  Description copied from interface: `MappingResult`
  Indicates if this result is an error result.

  Specified by:
    `isError` in interface `MappingResult`
  Specified by:
    `isError` in class `AbstractMappingResult`

### getErrorCause

    public java.lang.Throwable getErrorCause()

  Description copied from interface: `MappingResult`
  Get the cause of the error result

  Specified by:
    `getErrorCause` in interface `MappingResult`
  Specified by:
    `getErrorCause` in class `AbstractMappingResult`
  Returns:
    the underyling cause, or null if this is not an error or there was no root cause.

### getOriginalValue

    public java.lang.Object getOriginalValue()

  Description copied from interface: `MappingResult`
  The original value of the source object that was to be mapped. May be null if this result is an error on the source object.

  Specified by:
    `getOriginalValue` in interface `MappingResult`
  Specified by:
    `getOriginalValue` in class `AbstractMappingResult`

### getMappedValue

    public java.lang.Object getMappedValue()

  Description copied from interface: `MappingResult`
  The actual value that was mapped to the target object. Null if this result is an error.

  Specified by:
    `getMappedValue` in interface `MappingResult`
  Specified by:
    `getMappedValue` in class `AbstractMappingResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD